Redmine - Feature #26237

Support wiki_page _title attribute in Versions REST API
2017-06-22 12:50 - Masahiro Kitagawa

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

According to below wiki, there is no way to access version's related wiki page.("version_wiki_page_title")
Rest_Versions
We expect more extended REST API like follows,

<?xml version="1.0" encoding="UTF-8"?>
<versions type="array" total_count="34">
<version>
<id>1</id>
<project name="Redmine" id="1"/>
<name>0.7</name>
<description/>
<status>closed</status>
<due_date>2008-04-28</due_date>
<created_on>2008-03-09T12:52:06+01:00</created_on>
<updated_on>2009-11-15T12:22:12+01:00</updated_on>
<version_wiki_page_title>FooBarWikiPage</version_wiki_page_title>
</version>
</versions>

Related issues:
Related to Redmine - Feature #10384: Versions REST API - Please add the WIKI ... Closed

Associated revisions

Revision 18091 - 2019-04-28 16:22 - Go MAEDA
Support wiki_page_title attribute in Versions REST API (#26237).

Patch by Severin Schols.

Revision 18092 - 2019-04-28 16:28 - Go MAEDA
Test for r18091 (#26237).

Patch by Mizuki ISHIKAWA.

History

#1 - 2017-07-03 09:47 - Go MAEDA
- Category set to REST API

#2 - 2017-07-18 19:03 - Toshi MARUYAMA

- Description updated

#3 - 2017-12-19 02:29 - Severin Schols
- File versions_api_wiki_page_title.diff added

Just ran into the same thing, and decided to get a fix in place right away. This works for us. Output is not exactly as shown above, but like this (taking
the same data as example)
https://www.redmine.org/projects/redmine/wiki/Rest_Versions

<?xml version="1.0" encoding="UTF-8"?>
<versions type="array" total_count="34">
<version>
<id>1</id>
<project name="Redmine" id="1"/>
<name>0.7</name>
<description/>
<status>closed</status>
<due_date>2008-04-28</due_date>
<created_on>2008-03-09T12:52:06+01:00</created_on>
<updated_on>2009-11-15T12:22:12+01:00</updated_on>
<wiki_page_title>FooBarWikiPage</wiki_page_title>
</version>
</versions>

#4 - 2017-12-24 05:29 - Go MAEDA
- File 26237-test-update.diff added

- Target version set to 4.1.0

LGTM. | updated a test.
Setting target version to 4.1.0.

#5 - 2018-09-30 18:41 - Kenan Dervisevic

Is it possible to get this in 4.0.0? It's a small fix, so | guess it's not a problem to change the target release.

#6 - 2018-11-28 06:31 - Mizuki ISHIKAWA
- File add_put_and_post _test.patch added

| added PUT and POST tests to the test code written by Go MAEDA.
versions_api_wiki_page_title.diff works as expected.

#7 - 2019-04-28 16:31 - Go MAEDA

- Subject changed from REST API for related wiki page in version to Support wiki_page _title attribute in Versions REST API
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patches. Thank you for your contribution.

#8 - 2019-05-07 04:27 - Go MAEDA
- Related to Feature #10384: Versions REST API - Please add the WIKI field in the XML output added

Files

versions_api_wiki_page_title.diff 1.73 KB 2017-12-19 Severin Schols
26237-test-update.diff 893 Bytes 2017-12-24 Go MAEDA
add_put_and_post_test.patch 2.34 KB 2018-11-28 Mizuki ISHIKAWA

2025-05-02 22


https://www.redmine.org/attachments/19761
http://www.tcpdf.org

